| v_frmbuf_rd Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_FrmbufRd_l2 Struct Reference

Frame Buffer Read driver Layer 2 data. More...

## Data Fields
XV_frmbufrd | FrmbufRd
| Frame Buffer Read instance data. More...
XVFrmbufRd_Callback | FrameDoneCallback
| Callback for frame processing done. More...
void * | CallbackDoneRef
| To be passed to the connect interrupt callback. More...
XVFrmbufRd_Callback | FrameReadyCallback
| Callback for frame processing ready. More...
void * | CallbackReadyRef
    To be passed to the connect interrupt
callback More...
XVidC_VideoStream | Stream
| Output AXIS. More...

## Detailed Description

Frame Buffer Read driver Layer 2 data.

The user is required to allocate a variable of this type for every frame buffer read device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

void* XV_FrmbufRd_l2::CallbackDoneRef

To be passed to the connect interrupt callback.

Referenced by XVFrmbufRd_InterruptHandler(), and XVFrmbufRd_SetCallback().

void* XV_FrmbufRd_l2::CallbackReadyRef

    To be passed to the connect interrupt

callback

Referenced by XVFrmbufRd_InterruptHandler(), and XVFrmbufRd_SetCallback().

XVFrmbufRd_Callback XV_FrmbufRd_l2::FrameDoneCallback

Callback for frame processing done.

Referenced by XVFrmbufRd_InterruptHandler(), and XVFrmbufRd_SetCallback().

XVFrmbufRd_Callback XV_FrmbufRd_l2::FrameReadyCallback

Callback for frame processing ready.

Referenced by XVFrmbufRd_InterruptHandler(), and XVFrmbufRd_SetCallback().

XV_frmbufrd XV_FrmbufRd_l2::FrmbufRd

Frame Buffer Read instance data.

Referenced by XVFrmbufRd_DbgReportStatus(), XVFrmbufRd_Get_FidErrorCount(), XVFrmbufRd_Get_FidErrorOut(), XVFrmbufRd_Get_FidOutMode(), XVFrmbufRd_Get_FieldOut(), XVFrmbufRd_GetBufferAddr(), XVFrmbufRd_GetChromaBufferAddr(), XVFrmbufRd_GetFieldID(), XVFrmbufRd_GetVChromaBufferAddr(), XVFrmbufRd_Initialize(), XVFrmbufRd_InterruptDisable(), XVFrmbufRd_InterruptEnable(), XVFrmbufRd_InterruptHandler(), XVFrmbufRd_Set_FidOutMode(), XVFrmbufRd_SetBufferAddr(), XVFrmbufRd_SetChromaBufferAddr(), XVFrmbufRd_SetFieldID(), XVFrmbufRd_SetMemFormat(), XVFrmbufRd_SetVChromaBufferAddr(), XVFrmbufRd_Start(), XVFrmbufRd_Stop(), and XVFrmbufRd_WaitForIdle().

XVidC_VideoStream XV_FrmbufRd_l2::Stream

Output AXIS.

Referenced by XVFrmbufRd_GetVideoStream(), and XVFrmbufRd_SetMemFormat().